petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMStagGetProductCoordinateArraysRead

extract product coordinate arrays, read-only

### Synopsis

    PetscErrorCode DMStagGetProductCoordinateArraysRead(DM dm,void* arrX,void* arrY,void* arrZ)

Logically Collective

See the man page for DMStagGetProductCoordinateArrays() for more information.

### Input Parameter

dm -the DMStag object

### Output Parameters

arrX,arrY,arrZ -local 1D coordinate arrays

### See Also

DMSTAG, DMPRODUCT, DMStagGetProductCoordinateArrays(), DMStagSetUniformCoordinates(), DMStagSetUniformCoordinatesProduct(), DMStagGetProductCoordinateLocationSlot()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages